# -*- coding: iso_8859_1 -*-
"""
	This module is part of AsPyLib version 1.3.1
	Copyright (C) 2012 Jerome Caron

    AsPyLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
#------------------------------------------------------------------------------------------------------------
#		aspylib.calib = module for radiometric calibration
#------------------------------------------------------------------------------------------------------------

import aspylib.license
	
from calib1 import calibrate, calibrate_and_save
#def calibrate(Imagelist, Darklist, Flat):
#def calibrate_and_save(Imagelist, Darklist, Flat, Imagelist2, Config, Headers={}):

from calib2 import coalign, coalign2, coalign_and_save, coalign2_and_save
#def coalign(images, detection_area=10, nb_stars=12, excl=[], incl=[], text=False):
#def coalign2(images):
#def coalign_and_save(Imagelist, Imagelist2, Config, detection_area=10, nb_stars=12, excl=[], incl=[], text=False, Headers={}):
#def coalign2_and_save(Imagelist, Imagelist2, Config, Headers={}):

from calib3 import coalign_coadd_and_save, coalign2_coadd_and_save
#def coalign_coadd_and_save(Imagelist, mult, coadded_Image, Config, detection_area=10, nb_stars=12, excl=[], incl=[], text=False, method='mean', Headers={}):
#def coalign2_coadd_and_save(Imagelist, mult, coadded_Image, Config, method='mean', Headers={}):

from calib4 import calibrate_coalign_and_save, calibrate_coalign2_and_save
#def calibrate_coalign_and_save(Imagelist, Darklist, Flat, Imagelist2, Config, detection_area=10, nb_stars=12, excl=[], incl=[], text=False, Headers={}):
#def calibrate_coalign2_and_save(Imagelist, Darklist, Flat, Imagelist2, Config, Headers={}):

from calib5 import calibrate_coalign_coadd_and_save, calibrate_coalign2_coadd_and_save
#def calibrate_coalign_coadd_and_save(Imagelist, Darklist, Flat, mult, coadded_Image, Config, detection_area=10, nb_stars=12, excl=[], incl=[], text=False, method='mean', Headers={}):
#def calibrate_coalign2_coadd_and_save(Imagelist, Darklist, Flat, mult, coadded_Image, Config, method='mean', Headers={}):

from calib6 import coadd, coadd_and_save
#def coadd(images, mult, method='mean'):
#def coadd_and_save(Imagelist, mult, coadded_Image, Config, method='mean', Headers={}):

from calib7 import find_hotpixels, save_serie
#def find_hotpixels(dark, target_nb):
#def save_serie(images, destination_Imagelist, header_Imagelist, Config, Headers={}):

from calib8 import process_flatframe_constantexp, process_flatframe_vbleexp
#def process_flatframe_constantexp(Flatlist, Darklist, Finalflat, Config, Headers={}):
#def process_flatframe_vbleexp(Flatlist, Darklist, Offsetlist, Finalflat, Config, Headers={}):

del calib1, calib2, calib3, calib4, calib5, calib6, calib7, calib8